xmlpp::Dtd Class Reference

Represents XML DTDs. More...

`#include <libxml++/dtd.h>`

## Public Member Functions

| Dtd (_xmlDtd* dtd)
| ~Dtd ()
_xmlDtd* | cobj ()
| Access the underlying libxml implementation. More...
const _xmlDtd* | cobj () const
| Access the underlying libxml implementation. More...
Glib::ustring | get_external_id () const
Glib::ustring | get_name () const
Glib::ustring | get_system_id () const

## Detailed Description

Represents XML DTDs.

## Constructor & Destructor Documentation

xmlpp::Dtd::Dtd | ( | _xmlDtd * | dtd | ) |

xmlpp::Dtd::~Dtd | ( |  | ) |

## Member Function Documentation

_xmlDtd* xmlpp::Dtd::cobj | ( |  | ) |

Access the underlying libxml implementation.

const _xmlDtd* xmlpp::Dtd::cobj | ( |  | ) | const

Access the underlying libxml implementation.

Glib::ustring xmlpp::Dtd::get_external_id | ( |  | ) | const

Glib::ustring xmlpp::Dtd::get_name | ( |  | ) | const

Glib::ustring xmlpp::Dtd::get_system_id | ( |  | ) | const